LogoopenSUSE Build Service > Projects
Sign Up | Log In

LDC

LLVM D Compiler

Source Files (show merged sources derived from linked package)

Filename Size Changed Actions
ldc-0.17.6-src.tar.gz 4.76 MB
ldc-1.12.0-src.tar.gz 6.47 MB
ldc-1.15.0-src.tar.gz 6.63 MB
ldc-1.9.0-fix_arm_build.patch 442 Bytes Download File
ldc-rpmlintrc 155 Bytes Download File
ldc.changes 17.2 KB Download File
ldc.spec 8.23 KB Download File

Comments for devel:languages:D (3)

repo-checker wrote over 1 year ago

The version of this package in openSUSE:Factory has installation issues and may not be installable:

can't install ldc-0.17.4-2.2.i586:
  nothing provides libLLVMAArch64AsmParser.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMAArch64CodeGen.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMAArch64Desc.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMAArch64Info.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMAMDGPUAsmParser.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMAMDGPUCodeGen.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMAMDGPUDesc.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMAMDGPUInfo.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMARMAsmParser.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMARMCodeGen.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMARMDesc.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMARMInfo.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMAnalysis.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMAsmParser.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMBPFCodeGen.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMBPFDesc.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMBPFInfo.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMBitWriter.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMCodeGen.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMCore.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMGlobalISel.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMHexagonAsmParser.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMHexagonCodeGen.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMHexagonDesc.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMHexagonInfo.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMInstCombine.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMInstrumentation.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMLanaiAsmParser.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMLanaiCodeGen.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMLanaiDesc.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMLanaiInfo.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMLinker.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMMC.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMMSP430CodeGen.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMMSP430Desc.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMMSP430Info.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMMipsAsmParser.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMMipsCodeGen.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMMipsDesc.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMMipsInfo.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMNVPTXCodeGen.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMNVPTXDesc.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMNVPTXInfo.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMObjCARCOpts.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMPowerPCAsmParser.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMPowerPCCodeGen.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMPowerPCDesc.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMPowerPCInfo.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMRISCVCodeGen.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMRISCVDesc.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMRISCVInfo.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMScalarOpts.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMSparcAsmParser.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMSparcCodeGen.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMSparcDesc.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMSparcInfo.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMSupport.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMSystemZAsmParser.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMSystemZCodeGen.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMSystemZDesc.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMSystemZInfo.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMTarget.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMTransformUtils.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMVectorize.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMX86AsmParser.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMX86CodeGen.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMX86Desc.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMX86Info.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMXCoreCodeGen.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMXCoreDesc.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMXCoreInfo.so.4 needed by ldc-0.17.4-2.2.i586
  nothing provides libLLVMipo.so.4 needed by ldc-0.17.4-2.2.i586

can't install ldc-0.17.4-2.2.x86_64:
  nothing provides libLLVMAArch64AsmParser.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMAArch64CodeGen.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMAArch64Desc.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMAArch64Info.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMAMDGPUAsmParser.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMAMDGPUCodeGen.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMAMDGPUDesc.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMAMDGPUInfo.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMARMAsmParser.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMARMCodeGen.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMARMDesc.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMARMInfo.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMAnalysis.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMAsmParser.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMBPFCodeGen.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMBPFDesc.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMBPFInfo.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMBitWriter.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMCodeGen.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMCore.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMGlobalISel.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMHexagonAsmParser.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMHexagonCodeGen.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMHexagonDesc.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMHexagonInfo.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMInstCombine.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMInstrumentation.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMLanaiAsmParser.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMLanaiCodeGen.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMLanaiDesc.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMLanaiInfo.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMLinker.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMMC.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMMSP430CodeGen.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMMSP430Desc.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMMSP430Info.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMMipsAsmParser.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMMipsCodeGen.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMMipsDesc.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMMipsInfo.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMNVPTXCodeGen.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMNVPTXDesc.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMNVPTXInfo.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMObjCARCOpts.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMPowerPCAsmParser.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMPowerPCCodeGen.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMPowerPCDesc.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMPowerPCInfo.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMRISCVCodeGen.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMRISCVDesc.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMRISCVInfo.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMScalarOpts.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMSparcAsmParser.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMSparcCodeGen.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMSparcDesc.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMSparcInfo.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMSupport.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMSystemZAsmParser.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMSystemZCodeGen.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMSystemZDesc.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMSystemZInfo.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMTarget.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMTransformUtils.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMVectorize.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMX86AsmParser.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMX86CodeGen.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMX86Desc.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMX86Info.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMXCoreCodeGen.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMXCoreDesc.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMXCoreInfo.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
  nothing provides libLLVMipo.so.4()(64bit) needed by ldc-0.17.4-2.2.x86_64
repo-checker wrote 5 months ago

The version of this package in openSUSE:Factory has installation issues and may not be installable:

can't install ldc-1.13.0-1.1.i586:
  nothing provides libdruntime-ldc-shared.so.82 needed by ldc-1.13.0-1.1.i586
  nothing provides libphobos2-ldc-shared.so.82 needed by ldc-1.13.0-1.1.i586

can't install ldc-1.13.0-1.1.x86_64:
  nothing provides libdruntime-ldc-shared.so.82()(64bit) needed by ldc-1.13.0-1.1.x86_64
  nothing provides libphobos2-ldc-shared.so.82()(64bit) needed by ldc-1.13.0-1.1.x86_64
repo-checker wrote 5 months ago

The version of this package in openSUSE:Leap:15.1 has installation issues and may not be installable:

can't install ldc-1.13.0-lp151.1.1.x86_64:
  nothing provides libdruntime-ldc-shared.so.82()(64bit) needed by ldc-1.13.0-lp151.1.1.x86_64
  nothing provides libphobos2-ldc-shared.so.82()(64bit) needed by ldc-1.13.0-lp151.1.1.x86_64

Login required, please login or signup in order to comment